import '../../network_api_service/api_service/api_service.dart';
import '../../network_api_service/api_urls/api_urls.dart';

class ForgotPasswordRepository {
  final ApiService _apiService = ApiService();

  Future<void> forgotPassword({required String emailAddress}) async {
    try {
      await _apiService.post(
        ApiUrls.forgotPassword,
        data: {"emailAddress": emailAddress},
      );
    } catch (e) {
      throw Exception('Failed to send forgot password request: $e');
    }
  }
}